import java.awt.*;
import java.awt.geom.Rectangle2D;
import java.awt.geom.Line2D;

public class House
{
    private static final double HOUSE_WIDTH = 300;
    private static final double HOUSE_HEIGHT = 100;
    private double x;
    private double y;
    
    public House(double xAnchor, double yAnchor)
    {
	x = xAnchor;
	y = yAnchor;
    }
    
    public void draw(Graphics2D g2)
    {
	g2.setColor(Color.red);
	Rectangle2D.Double frame = new Rectangle2D.Double(x,y,HOUSE_WIDTH,HOUSE_HEIGHT);
	g2.fill(frame);

	g2.setColor(Color.black);
	Line2D.Double roof1 = new Line2D.Double(x,y,x + HOUSE_WIDTH/2,y - HOUSE_HEIGHT/3);
	g2.draw(roof1);
	Line2D.Double roof2 = new Line2D.Double(x + HOUSE_WIDTH/2,y - HOUSE_HEIGHT/3, x + HOUSE_WIDTH, y);
	g2.draw(roof2);

	final double DOOR_HEIGHT = 50;
	final double DOOR_WIDTH = 50;

	g2.setColor(Color.black);
	Rectangle2D.Double door = new Rectangle2D.Double(x + HOUSE_WIDTH/2 - DOOR_WIDTH/2,
	      y + HOUSE_HEIGHT - DOOR_HEIGHT, DOOR_WIDTH, DOOR_HEIGHT);
	g2.fill(door);

	g2.setColor(Color.white);
    }
}
